> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Status Changes

> Information about the account's changes.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml get /iam/activity_log/account_status_changes
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/activity_log/account_status_changes:
    get:
      tags:
        - IAM Reseller Account
      summary: Account Status Changes
      description: Information about the account's changes.
      operationId: iamGetAccountStatusChanges
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          $ref: '#/components/responses/AccountStatusChangesResponse'
        '400':
          $ref: '#/components/responses/iam_reseller_400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: The maximum number of items.
      schema:
        type: integer
    Offset:
      name: offset
      in: query
      description: Offset relative to the beginning of list.
      schema:
        type: integer
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
    '403':
      description: You do not have permission to perform this action.
    AccountStatusChangesResponse:
      description: OK.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AccountStatusChangesSchema'
    iam_reseller_400:
      description: Validation error
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/iam_reseller_ValidationError'
              - $ref: '#/components/schemas/JSONParseError'
  schemas:
    AccountStatusChangesSchema:
      type: object
      required:
        - count
        - result
      properties:
        count:
          type: number
          description: Total number of users
        next:
          type: string
          description: URL to the next users slice
          example: /activity_log/account_status_changes?offset=20&limit=10
        previous:
          type: string
          description: URL to the previous users slice
          example: /activity_log/account_status_changes?offset=10&limit=10
        result:
          items:
            $ref: '#/components/schemas/AccountStatusChangesItem'
    iam_reseller_ValidationError:
      title: Validation error
      type: object
      properties:
        errors:
          type: object
          description: This object contains error descriptions per field from your request.
          additionalProperties:
            type: array
            description: Error list for specific field.
            items:
              type: string
              description: Error description
    JSONParseError:
      title: Invalid request JSON schema
      type: object
      properties:
        message:
          type: string
          description: >-
            This message describes error if json schema from your request is
            invalid.
          example: >
            JSON parse error - Expecting ',' delimiter: line 3 column 33 (char
            77)
    AccountStatusChangesItem:
      type: object
      required:
        - id
        - status_change_at
        - old_status
        - new_status
        - federation_id
        - client
      properties:
        id:
          type: integer
          description: ID.
          example: 123456
        status_change_at:
          type: string
          description: ISO 8086/RFC 3339 format
          example: '2024-11-13T15:23:30Z'
        old_status:
          type: string
          description: Old account status
          example: status
        new_status:
          type: string
          description: New account status
          example: status
        federation_id:
          type: string
          description: Account federation
          example: GCL
        client:
          type: integer
          description: The account ID.
          example: 123456
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````